DROP TABLE IF EXISTS `{DB_PREFIX}tmbcvetta_items{ID_SHOP}`;

SET @baseUrl := '{BASEURL}';
CREATE TABLE `{DB_PREFIX}tmbcvetta_items{ID_SHOP}` (
  `id_product` int(10) unsigned NOT NULL DEFAULT '0' ,
  `reference` varchar(373) DEFAULT NULL,
  `ean13` varchar(354) DEFAULT NULL,
  `id_category_default` int(10) unsigned DEFAULT NULL,
  `categories` varchar(342) DEFAULT NULL,
  `attributes` varchar(342) DEFAULT NULL,
  `features` varchar(342) DEFAULT NULL,
  `manufacturer` varchar(64),
  `supplier` varchar(64),
  `image_link` longtext,
  `quantity` int(10) NOT NULL DEFAULT '0',
  `active` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `current_state` varchar(1) NOT NULL DEFAULT '',
  PRIMARY KEY cvetta_id_product (`id_product`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


INSERT INTO `{DB_PREFIX}tmbcvetta_items{ID_SHOP}` (`id_product`, `reference`, `ean13`, `id_category_default`, `categories`, `attributes`, `features`, `manufacturer`, `supplier`, `image_link`, `quantity`, `active`, `current_state`)
    SELECT

      p.id_product                                                       AS id_product,

      IFNULL(CONCAT(p.reference,
                    IF(pa.reference IS NULL OR pa.reference = '', '', GROUP_CONCAT(pa.reference SEPARATOR ';'))
             ), p.reference)                                             AS reference,


      IFNULL(CONCAT(p.ean13,
                    IF(pa.ean13 IS NULL OR pa.ean13 = '', '', GROUP_CONCAT(pa.ean13 SEPARATOR ';'))
             ), p.ean13)
                                                                         AS ean13,

      p.id_category_default                                              AS id_category_default,

      (SELECT GROUP_CONCAT(cp.id_category SEPARATOR ';')
       FROM {DB_PREFIX}category_product cp
         JOIN {DB_PREFIX}category cat ON (cat.id_category = cp.id_category AND cat.active = 1)
       WHERE cp.id_product = p.id_product)                               AS categories,


      (SELECT GROUP_CONCAT(DISTINCT (a.id_attribute) SEPARATOR ';')
       FROM {DB_PREFIX}product_attribute_combination pac
         LEFT JOIN {DB_PREFIX}product_attribute pa ON (pac.id_product_attribute = pa.id_product_attribute)
         LEFT JOIN {DB_PREFIX}attribute a ON (a.id_attribute = pac.id_attribute)
       WHERE pa.id_product = p.id_product
       GROUP BY pa.id_product)                                           AS attributes,

      (SELECT GROUP_CONCAT(DISTINCT (fv.id_feature_value) SEPARATOR ';')
       FROM {DB_PREFIX}feature_value fv
         LEFT JOIN {DB_PREFIX}feature_product fp ON (fp.id_feature_value = fv.id_feature_value)
         LEFT JOIN {DB_PREFIX}feature f ON (f.id_feature = fv.id_feature)
       WHERE fp.id_product = p.id_product
       GROUP BY fp.id_product)                                           AS features,

      m.name                                                             AS manufacturer,

      s.name                                                             AS supplier,
      CONCAT(@baseUrl, i.id_image, '-home_default/', i.id_image, '.jpg') AS image_link,
      sa.quantity                                                        AS quantity,
      p.active                                                           AS active,
      '0'                                                                AS current_state

    FROM `{DB_PREFIX}product` p

      LEFT JOIN {DB_PREFIX}product_shop ps ON (ps.id_product = p.id_product AND ps.id_shop = {ID_SHOP})
      LEFT JOIN {DB_PREFIX}manufacturer m ON (m.id_manufacturer = p.id_manufacturer)
      LEFT JOIN {DB_PREFIX}supplier s ON (s.id_supplier = p.id_supplier)
      LEFT JOIN {DB_PREFIX}image i ON (i.id_product = p.id_product AND i.cover = 1)
      JOIN {DB_PREFIX}stock_available sa ON (sa.id_product = p.id_product AND sa.id_product_attribute = 0)

      LEFT JOIN {DB_PREFIX}product_attribute pa ON (pa.id_product = p.id_product)

    GROUP BY p.id_product

    ORDER BY p.id_product;